com.independentsoft.exchange

## Class AlternateId

- java.lang.Object
- - com.independentsoft.exchange.SourceId
  - - com.independentsoft.exchange.AlternateId

-     public class AlternateId
      extends SourceId

  Describes an identifier to convert in a request and the results of a converted identifier in the response.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlternateId()` Initializes a new instance of the AlternateId class.
    `AlternateId(IdFormat format, java.lang.String id, java.lang.String mailbox)` Initializes a new instance of the AlternateId class with the specified format, id and mailbox.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFolderId()` Gets the folder id.
    `IdFormat` | `getFormat()` Gets the source format in a ConvertId Operation request and gets the destination format in a ConvertId Operation response.
    `java.lang.String` | `getId()` Gets the source identifier in a ConvertId Operation request and gets the destination identifier in a ConvertId Operation response.
    `java.lang.String` | `getItemId()` Gets the item id.
    `java.lang.String` | `getMailbox()` Gets the mailbox primary Simple Mail Transfer Protocol (SMTP) address that contains the identifiers to translate.
    `void` | `setFormat(IdFormat format)` Sets the source format in a ConvertId Operation request and sets the destination format in a ConvertId Operation response.
    `void` | `setId(java.lang.String id)` Sets the source identifier in a ConvertId Operation request and sets the destination identifier in a ConvertId Operation response.
    `void` | `setMailbox(java.lang.String mailbox)` Sets the mailbox primary Simple Mail Transfer Protocol (SMTP) address that contains the identifiers to translate.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlternateId

          public AlternateId()

      Initializes a new instance of the AlternateId class.

    - #### AlternateId

          public AlternateId(IdFormat format,
                             java.lang.String id,
                             java.lang.String mailbox)

      Initializes a new instance of the AlternateId class with the specified format, id and mailbox.
      Parameters:
        `format` - the format
        `id` - the id
        `mailbox` - the mailbox

  - ### Method Detail

    - #### getFormat

          public IdFormat getFormat()

      Gets the source format in a ConvertId Operation request and gets the destination format in a ConvertId Operation response. The destination format is described by the DestinationFormat attribute of the ConvertId element in the request. This attribute is of type IdFormatType.
      Returns:
        the format

    - #### setFormat

          public void setFormat(IdFormat format)

      Sets the source format in a ConvertId Operation request and sets the destination format in a ConvertId Operation response. The destination format is described by the DestinationFormat attribute of the ConvertId element in the request. This attribute is of type IdFormatType.
      Parameters:
        `format` - the new format

    - #### getId

          public java.lang.String getId()

      Gets the source identifier in a ConvertId Operation request and gets the destination identifier in a ConvertId Operation response.
      Returns:
        the id

    - #### setId

          public void setId(java.lang.String id)

      Sets the source identifier in a ConvertId Operation request and sets the destination identifier in a ConvertId Operation response.
      Parameters:
        `id` - the new id

    - #### getFolderId

          public java.lang.String getFolderId()

      Gets the folder id.
      Returns:
        the folder id

    - #### getItemId

          public java.lang.String getItemId()

      Gets the item id.
      Returns:
        the item id

    - #### getMailbox

          public java.lang.String getMailbox()

      Gets the mailbox primary Simple Mail Transfer Protocol (SMTP) address that contains the identifiers to translate.
      Returns:
        the mailbox

    - #### setMailbox

          public void setMailbox(java.lang.String mailbox)

      Sets the mailbox primary Simple Mail Transfer Protocol (SMTP) address that contains the identifiers to translate.
      Parameters:
        `mailbox` - the new mailbox